/***    BRGIN:菜单样式    ***/
.app-app-menu {
    overflow-y: auto;
    overflow-x: hidden;
    height: calc(100% - 58px);
    .ivu-divider{
      background-color: #b3b3b3;
      height: 2px;
    }
    > .el-menu {
        border-right: 0;
        .el-menu-item {
          white-space: nowrap;
          text-overflow: ellipsis;
          overflow: hidden;
          word-break: break-all;
            .ivu-badge {
                .ivu-badge-count {
                    box-shadow: 0 0 0 0px #fff;
                }
            }
        }
        .el-submenu__title i, .el-menu-item i {
            font-size: 12px;
            width: 18px;
        }
        .el-submenu__title .app-menu-icon,.el-menu-item .app-menu-icon{
            width:20px;
            font-size: 14px;
        }
        .el-submenu__title .text {
            font-size: 16px;      
        }
        .el-submenu__title .app-menu-circle,.el-menu-item .app-menu-circle {
            display: inline-block;
            border-radius: 50%;       
            width: 20px;
            height: 20px;
            line-height: 36px;
            vertical-align:middle;
            background: rgb(var(--app-footer-background-color-rgb));
            border: 1px solid #fff;
            border-color: rgb(var(--app-header-color-rgb));
            color: rgb(var(--app-header-color-rgb));;
            text-align: center;
            font: 12px Arial, sans-serif;   
         }

        .el-submenu__title, .el-menu-item {
            height: 50px;
            font-size: 14px;
            line-height: 50px;
            border-left: 4px !important;       
        }

        .el-menu-item .el-tooltip {
            padding-left: 12px !important; 
        }

        .isCollpase .el-submenu__title{
            padding-left: 12px !important;
        }

        .isFirst > .text {
            font-size: 16px !important;
        }
       
        .el-menu-item, .el-submenu, .el-menu {
            border-top: 1px solid #fff;
        }
        > .el-menu-item, > .el-submenu > .el-submenu__title {
            height: 56px;
            line-height: 56px;
            padding-left: 16px !important;
        }
        .app-menu-icon {
            margin: 4px;
            text-align: center;
        }
        > .el-submenu {
            > .el-menu {
                > .el-menu-item, > .el-submenu > .el-submenu__title {
                    padding-left: 44px !important;
                }
                > .el-submenu {
                    > .el-menu {
                        > .el-menu-item, > .el-submenu > .el-submenu__title {
                            padding-left: 68px !important;
                        }
                    }
                }
            }
        }
        .active-icon {
            font-size: 40px !important;
            position: absolute;
            right: 0;
            line-height: 42px;
            color: #fff !important;
            display: none;
            width: 24px !important;
            overflow: hidden;
        }
    }
    .el-menu--horizontal{
        display: flex;
        width: calc(100vw - 1100px);
        height: 65px;
        flex-wrap: nowrap;
        overflow-x:scroll;
        padding-top: 3px;
        .el-menu-item{
            overflow: visible;
        }
        .el-submenu{
            .el-submenu__title{
                padding-right: 0px !important;
                padding-left: 0px !important;
            }
        } 
    }
    .ivu-divider-horizontal {
        width: 100%;
        min-width: 100%;
        margin: 4px auto;
        margin-bottom: 1px;
    }
}
.app-popper-menu {
    .el-menu-item, .el-submenu__title {
        height: 36px;
        font-size: 16px;
        line-height: 36px;
    }
    > .el-menu-item, > .el-submenu > .el-submenu__title {
        height: 40px;
        line-height: 40px;
    }
    .el-menu-item {
        .ivu-badge {
            .ivu-badge-count {
                box-shadow: 0 0 0 0px #fff;
            }
        }
        > span{
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    }
    .ivu-divider-horizontal {
        width: 100%;
        min-width: 100%;
        margin: 4px auto;
        margin-bottom: 1px;
    }
}

<#ibizinclude>
../@MACRO/CSS/DEFAULT.less.ftl
</#ibizinclude>