<#assign layout = item.getPSLayout()/>
<#ibizinclude>
./@MACRO/PLAYOUT.vue.ftl
</#ibizinclude>
<#if layout.getLayout()=='FLEX'>
<el-tab-pane v-show="detailsModel.${item.name}.visible" label="<#if item.getCaption()??>${item.getCaption()}<#else>分页</#if>" name="${item.getName()}" class="app-layoutpanel-tabpage<#if item.getPSSysCss()??> ${item.getPSSysCss().getCssName()}</#if>">
  <#if item.render??>
  ${item.render.code}
  <#else>
    <div style="display: flex;<#if layout.getDir()!="">flex-direction: ${layout.getDir()};</#if><#if layout.getAlign()!="">justify-content: ${layout.getAlign()};</#if><#if layout.getVAlign()!="">align-items: ${layout.getVAlign()};</#if>width:<#if item.getWidth() gt 0>${item.getWidth()?c}px<#else>100%</#if>;height:<#if item.getHeight() gt 0>${item.getHeight()?c}px<#else>100%</#if>;">
      <@ibizindent blank=8>
      <#if item.getPSPanelItems()??>
      <#list item.getPSPanelItems() as panelItem>
      ${P.getPartCode(panelItem).code}
      </#list>
      </#if>
      </@ibizindent>
    </div>
  </#if>
</el-tab-pane>
<#else>
<el-tab-pane v-show="detailsModel.${item.name}.visible" label="<#if item.getCaption()??>${item.getCaption()}<#else>分页</#if>" name="${item.getName()}" class="app-layoutpanel-tabpage<#if item.getPSSysCss()??> ${item.getPSSysCss().getCssName()}</#if>">
  <#if item.render??>
  ${item.render.code}
  <#else>
    <row style="width:<#if item.getWidth() gt 0>${item.getWidth()?c}px<#else>100%</#if>;height:<#if item.getHeight() gt 0>${item.getHeight()?c}px<#else>100%</#if>;">
      <@ibizindent blank=8>
      <#if item.getPSPanelItems()??>
      <#list item.getPSPanelItems() as panelItem>
      ${P.getPartCode(panelItem).code}
      </#list>
      </#if>
      </@ibizindent>
    </row>
  </#if>
</el-tab-pane>
</#if>