<#assign import_block>
import qs from 'qs';
import { ViewTool } from '@/utils';
</#assign> 
<#assign created_block>
    this.viewInit();
</#assign> 
<#assign self_content>
    /**
     * 初始化视图
     *
     * @memberof ${srfclassname('${view.name}')}Base
     */    
    public async viewInit(){
        let srfkey:any = this.context.${appde.getCodeName()?lower_case};
        this.appUIService.getRDAppView(srfkey,false).then((res:any) =>{
            if(res && res.viewname && res.srfappde){
                let indexPath:string = ViewTool.getIndexRoutePath(this.$route);
                <#noparse>const path:string =`${indexPath}/${res.srfappde}/${srfkey}/${res.viewname}?${qs.stringify(this.viewparams, { delimiter: ';' })}`;</#noparse>
                this.$router.replace({path:path});
            }else{
                console.error("未查找到重定向视图")
            }
        })
    }
</#assign>

<#ibizinclude>
../@MACRO/VIEW-BASE.vue.ftl
</#ibizinclude>