<div class="app-login-view ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <app-studioaction :viewTitle="$t(model.srfCaption)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <img class="login-bg" src="/assets/img/login_bg.png"/>
    <div class="login-container">
        <div class="login-title">{{$t(model.srfCaption)}}</div>
        <i-form class="login-form">
            <form-item>
                <i-input type="text" v-model="formData.loginname" :placeholder="$t('app.viewLayoutPanel.appLoginView.username')" clearable>
                    <icon type="ios-person-outline" slot="prepend"></icon>
                </i-input>
            </form-item>
            <form-item>
                <i-input type="password" v-model="formData.password" :placeholder="$t('app.viewLayoutPanel.appLoginView.password')" clearable>
                    <icon type="ios-lock-outline" slot="prepend"></icon>
                </i-input>
            </form-item>
        </i-form>
        <div class="form-submit">
            <i-button @click="handleSubmit" long type="primary">{{ $t('app.viewLayoutPanel.appLoginView.login') }}</i-button>
        </div>
    </div>
</div>
